Bug 870631 - Review Request: libnatspec - Library for national and language-specific issues
Summary: Review Request: libnatspec - Library for national and language-specific issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-27 13:38 UTC by Ivan Romanov
Modified: 2015-05-04 19:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-17 01:05:29 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ivan Romanov 2012-10-27 13:38:55 UTC
Spec URL: https://raw.github.com/drizt/libnatspec-package/e85825a056431187d305e1a4df8a3b95003b544a/libnatspec.spec
SRPM URL: https://raw.github.com/drizt/libnatspec-package/e85825a056431187d305e1a4df8a3b95003b544a/libnatspec-0.2.6-4.fc17.src.rpm

Description:
Library for national and language-specific issues.
This library provides userful functions for
mount, submount, mkisofs, multimedia players.
This library try to help resolve charset hell (encoding problem)
in a various programs depends on locale and messages.
See detailed description at http://sourceforge.net/projects/natspec.

Fedora Account System Username: ivanromanov

Comment 1 Mario Blättermann 2012-10-27 14:34:56 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4630926

$ rpmlint -i -v *
libnatspec.src: I: checking
libnatspec.src: W: spelling-error %description -l en_US userful -> useful, masterful
The value of this tag appears to be misspelled. Please double-check.

libnatspec.src: W: spelling-error %description -l en_US submount -> surmount, sub mount, sub-mount
The value of this tag appears to be misspelled. Please double-check.

libnatspec.src: W: spelling-error %description -l en_US mkisofs -> kissoffs
The value of this tag appears to be misspelled. Please double-check.

libnatspec.src: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
The value of this tag appears to be misspelled. Please double-check.

libnatspec.src: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec.src: I: checking-url https://downloads.sourceforge.net/project/natspec/natspec/0.2.6/libnatspec-0.2.6.tar.bz2 (timeout 10 seconds)
libnatspec.i686: I: checking
libnatspec.i686: W: spelling-error %description -l en_US userful -> useful, masterful
The value of this tag appears to be misspelled. Please double-check.

libnatspec.i686: W: spelling-error %description -l en_US submount -> surmount, sub mount, sub-mount
The value of this tag appears to be misspelled. Please double-check.

libnatspec.i686: W: spelling-error %description -l en_US mkisofs -> kissoffs
The value of this tag appears to be misspelled. Please double-check.

libnatspec.i686: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
The value of this tag appears to be misspelled. Please double-check.

libnatspec.i686: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec.x86_64: I: checking
libnatspec.x86_64: W: spelling-error %description -l en_US userful -> useful, masterful
The value of this tag appears to be misspelled. Please double-check.

libnatspec.x86_64: W: spelling-error %description -l en_US submount -> surmount, sub mount, sub-mount
The value of this tag appears to be misspelled. Please double-check.

libnatspec.x86_64: W: spelling-error %description -l en_US mkisofs -> kissoffs
The value of this tag appears to be misspelled. Please double-check.

libnatspec.x86_64: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
The value of this tag appears to be misspelled. Please double-check.

libnatspec.x86_64: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec-debuginfo.i686: I: checking
libnatspec-debuginfo.i686: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/filesystem.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/convert.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/enrich_fs_options.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/src/natspec.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/natspec_internal.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/natspec.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.x86_64: I: checking
libnatspec-debuginfo.x86_64: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/convert.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/enrich_fs_options.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/natspec_internal.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/natspec.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/src/natspec.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libnatspec-0.2.6/lib/filesystem.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.i686: I: checking
libnatspec-devel.i686: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec-devel.i686: E: incorrect-fsf-address /usr/share/doc/libnatspec-devel-0.2.6/examples/samba/loadparm.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.i686: E: incorrect-fsf-address /usr/share/doc/libnatspec-devel-0.2.6/examples/samba/smbmount.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.i686: E: incorrect-fsf-address /usr/share/doc/libnatspec-devel-0.2.6/examples/samba/mount.cifs.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.i686: E: incorrect-fsf-address /usr/include/natspec.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.x86_64: I: checking
libnatspec-devel.x86_64: I: checking-url http://sourceforge.net/projects/natspec (timeout 10 seconds)
libnatspec-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libnatspec-devel-0.2.6/examples/samba/loadparm.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libnatspec-devel-0.2.6/examples/samba/smbmount.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libnatspec-devel-0.2.6/examples/samba/mount.cifs.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec-devel.x86_64: E: incorrect-fsf-address /usr/include/natspec.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libnatspec.spec: I: checking-url https://downloads.sourceforge.net/project/natspec/natspec/0.2.6/libnatspec-0.2.6.tar.bz2 (timeout 10 seconds)
7 packages and 1 specfiles checked; 20 errors, 12 warnings.

Just a few ignorable spelling errors. Regarding the wrong FSF addresses, don't touch them. All you have to do is to inform the upstream people so that they can fix this in future releases.

Full review follows.

Comment 2 Mario Blättermann 2012-10-27 17:20:50 UTC
First I was a bit mislead of some source file headers: The file /libnatspec-0.2.6/lib/unicode/7bitrepl.lnx is taken from the Lynx source code, but it doesn't land neither in the Lynx nor in the libnatspec package. That's why no case of a bundled system file here.

Moreover, some file headers say that some code snippets are taken from the WINE project, but WINE is LGPL licensed anyway.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv2
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    c3831f7373501ed7b23ffb03d9a78650dee93dbf997a61767b7dea009d4a757f  libnatspec-0.2.6.tar.bz2
    c3831f7373501ed7b23ffb03d9a78650dee93dbf997a61767b7dea009d4a757f  libnatspec-0.2.6.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

The %defattr lines in the file listings are obsolete since f10, please remove them before you import your package into Git.

Comment 3 Ivan Romanov 2012-10-27 17:30:55 UTC
Thanks!

Comment 4 Ivan Romanov 2012-10-27 17:37:50 UTC
New Package SCM Request
=======================
Package Name: libnatspec
Short Description: Library for national and language-specific issues
Owners: ivanromanov
Branches: f17 f18
InitialCC:

Comment 5 Gwyn Ciesla 2012-10-28 20:46:20 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-10-29 03:33:38 UTC
libnatspec-0.2.6-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libnatspec-0.2.6-5.fc18

Comment 7 Fedora Update System 2012-10-29 03:34:52 UTC
libnatspec-0.2.6-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libnatspec-0.2.6-5.fc17

Comment 8 Fedora Update System 2012-10-29 18:14:59 UTC
libnatspec-0.2.6-5.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Ivan Romanov 2012-11-02 04:54:40 UTC
Package Change Request
======================
Package Name: libnatspec
New Branches: el6

Comment 10 Gwyn Ciesla 2012-11-02 10:50:23 UTC
Misformatted request.

Comment 11 Ivan Romanov 2012-11-02 11:06:16 UTC
Package Change Request
=======================
Package Name: libnatspec
Owners: ivanromanov
New Branches: el6
InitialCC: ivanromanov

Comment 12 Gwyn Ciesla 2012-11-02 12:03:41 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-11-02 12:45:16 UTC
libnatspec-0.2.6-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libnatspec-0.2.6-5.el6

Comment 14 Fedora Update System 2012-11-17 01:05:30 UTC
libnatspec-0.2.6-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Ivan Romanov 2015-05-04 12:01:46 UTC
Package Change Request
=======================
Package Name: libnatspec
Owners: ivanromanov
New Branches: epel7
InitialCC: ivanromanov

Comment 16 Gwyn Ciesla 2015-05-04 19:45:49 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.